GrailsProjectTestCompiler (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.runner

## [Groovy] Class GrailsProjectTestCompiler

- org.codehaus.groovy.grails.test.runner.GrailsProjectTestCompiler

- Compiles test with the appropriate classpath for the given GrailsTestType

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsProjectCompiler` | `EXCLUDED_PATHS`
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static GrailsConsole` | `CONSOLE`
    `GrailsBuildEventListener` | `buildEventListener`
    `BuildSettings` | `buildSettings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectTestCompiler (GrailsBuildEventListener buildEventListener, PluginBuildSettings pluginBuildSettings, java.lang.ClassLoader rootLoader = Thread.currentThread()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `compileTests(GrailsTestType type, java.io.File source, java.io.File dest)` Compiles all the test classes for a particular type of test, for example "unit" or "webtest".
    `groovy.util.AntBuilder` | `getAnt()`
    `void` | `packageTests(boolean triggerEvents = true)` Puts some useful things on the classpath for integration tests.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsProjectCompiler` | `compile, compile, compileAll, compileGroovyPages, compilePluginDescriptor, compilePlugins, compilePlugins, configureClasspath, getAnt, getExtraDependencies, getJarFiles, reconfigureClasspath, setAnt, withCompilationErrorHandling`
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final GrailsConsole CONSOLE

    - #### GrailsBuildEventListener buildEventListener

    - #### BuildSettings buildSettings

  - ### Constructor Detail

    - #### GrailsProjectTestCompiler(GrailsBuildEventListener buildEventListener, PluginBuildSettings pluginBuildSettings, java.lang.ClassLoader rootLoader = Thread.currentThread()

  - ### Method Detail

    - #### void compileTests(GrailsTestType type, java.io.File source, java.io.File dest)

      Compiles all the test classes for a particular type of test, for example "unit" or "webtest". Assumes that the source files are in the "test/$type" directory. It also compiles the files to distinct directories for each test type: "$testClassesDir/$type".

      Parameters:
        `type` - The type of the tests to compile (not the test phase!) For example, "unit", "jsunit", "webtest", etc.

    - #### @java.lang.Override groovy.util.AntBuilder getAnt()

    - #### void packageTests(boolean triggerEvents = true)

      Puts some useful things on the classpath for integration tests.